org.eclipse.oomph.setup

## Enum Trigger

- java.lang.Object
- - java.lang.Enum<Trigger>
  - - org.eclipse.oomph.setup.Trigger

- All Implemented Interfaces:
    Serializable, Comparable<Trigger>, Enumerator

      public enum Trigger
      extends Enum<Trigger>
      implements Enumerator

  A representation of the literals of the enumeration 'Trigger', and utility methods for working with them.
  See Also:
    `SetupPackage.getTrigger()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOTSTRAP` The 'BOOTSTRAP' literal object.
    `MANUAL` The 'MANUAL' literal object.
    `STARTUP` The 'STARTUP' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<Trigger>` | `ALL_TRIGGERS`
    `static int` | `BOOTSTRAP_VALUE` The 'BOOTSTRAP' literal value.
    `static Set<Trigger>` | `IDE_TRIGGERS`
    `static Map<Set<Trigger>,String>` | `LITERALS`
    `static int` | `MANUAL_VALUE` The 'MANUAL' literal value.
    `static int` | `STARTUP_VALUE` The 'STARTUP' literal value.
    `static List<Trigger>` | `VALUES` A public read-only list of all the 'Trigger' enumerators.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Trigger` | `get(int value)` Returns the 'Trigger' literal with the specified integer value.
    `static Trigger` | `get(String literal)` Returns the 'Trigger' literal with the specified literal value.
    `static Trigger` | `getByName(String name)` Returns the 'Trigger' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `static Set<Trigger>` | `intern(Set<Trigger> triggerSet)`
    `static Set<Trigger>` | `toSet(Trigger... triggers)`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static Trigger` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Trigger[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOTSTRAP

          public static final Trigger BOOTSTRAP

      The 'BOOTSTRAP' literal object.
      See Also:
        `BOOTSTRAP_VALUE`
      Generated
      Ordered

    - #### STARTUP

          public static final Trigger STARTUP

      The 'STARTUP' literal object.
      See Also:
        `STARTUP_VALUE`
      Generated
      Ordered

    - #### MANUAL

          public static final Trigger MANUAL

      The 'MANUAL' literal object.
      See Also:
        `MANUAL_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### BOOTSTRAP_VALUE

          public static final int BOOTSTRAP_VALUE

      The 'BOOTSTRAP' literal value.

      If the meaning of 'BOOTSTRAP' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BOOTSTRAP`, Constant Field Values
      Generated
      Model
      Ordered

    - #### STARTUP_VALUE

          public static final int STARTUP_VALUE

      The 'STARTUP' literal value.

      If the meaning of 'STARTUP' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STARTUP`, Constant Field Values
      Generated
      Model
      Ordered

    - #### MANUAL_VALUE

          public static final int MANUAL_VALUE

      The 'MANUAL' literal value.

      If the meaning of 'MANUAL' literal object isn't clear, there really should be more of a description here...

      See Also:
        `MANUAL`, Constant Field Values
      Generated
      Model
      Ordered

    - #### VALUES

          public static final List<Trigger> VALUES

      A public read-only list of all the 'Trigger' enumerators.
      Generated

    - #### LITERALS

          public static final Map<Set<Trigger>,String> LITERALS

    - #### ALL_TRIGGERS

          public static final Set<Trigger> ALL_TRIGGERS

    - #### IDE_TRIGGERS

          public static final Set<Trigger> IDE_TRIGGERS

  - ### Method Detail

    - #### values

          public static Trigger[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Trigger c : Trigger.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Trigger valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static Trigger get(String literal)

      Returns the 'Trigger' literal with the specified literal value.
      Generated

    - #### getByName

          public static Trigger getByName(String name)

      Returns the 'Trigger' literal with the specified name.
      Generated

    - #### get

          public static Trigger get(int value)

      Returns the 'Trigger' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<Trigger>`
      Generated

    - #### toSet

          public static Set<Trigger> toSet(Trigger... triggers)

    - #### intern

          public static Set<Trigger> intern(Set<Trigger> triggerSet)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html